org.gradle.sonar.runner

## Class SonarRunnerRootExtension

- java.lang.Object
- - org.gradle.sonar.runner.SonarRunnerExtension
  - - org.gradle.sonar.runner.SonarRunnerRootExtension

-     public class SonarRunnerRootExtension
      extends SonarRunnerExtension

  Specialization of `SonarRunnerExtension` that is used for the root of the project tree being analyzed.

  This extension provides extra configuration options that are only applicable to the analysis as a whole, and therefore is used for the project (typically the root) that the plugin is applied too.

  Example usage:

       sonarRunner {
         toolVersion = '2.3' // default

         forkOptions {
           maxHeapSize = '1024m'
           jvmArgs '-XX:MaxPermSize=128m'
         }
       }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_SONAR_RUNNER_VERSION` The version of Sonar Runner used if another version was not specified with `setToolVersion(String)`.

    - ### Fields inherited from class org.gradle.sonar.runner.SonarRunnerExtension

      `SONAR_RUNNER_CONFIGURATION_NAME, SONAR_RUNNER_EXTENSION_NAME, SONAR_RUNNER_TASK_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SonarRunnerRootExtension(org.gradle.listener.ActionBroadcast<SonarProperties> propertiesActions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forkOptions(Action<? super JavaForkOptions> action)` Configure the `forkOptions`.
    `JavaForkOptions` | `getForkOptions()` Options for the Sonar Runner process.
    `String` | `getToolVersion()` Version of Sonar Runner JARs to use.
    `void` | `setForkOptions(JavaForkOptions forkOptions)`
    `void` | `setToolVersion(String toolVersion)`

    - ### Methods inherited from class org.gradle.sonar.runner.SonarRunnerExtension

      `isSkipProject, setSkipProject, sonarProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SONAR_RUNNER_VERSION

          public static final String DEFAULT_SONAR_RUNNER_VERSION

      The version of Sonar Runner used if another version was not specified with `setToolVersion(String)`.

      Value: "2.3"

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SonarRunnerRootExtension

          public SonarRunnerRootExtension(org.gradle.listener.ActionBroadcast<SonarProperties> propertiesActions)

  - ### Method Detail

    - #### forkOptions

          public void forkOptions(Action<? super JavaForkOptions> action)

      Configure the `forkOptions`.
      Parameters:
        `action` - the action to use to configure `forkOptions`

    - #### getToolVersion

          public String getToolVersion()

      Version of Sonar Runner JARs to use.

      Defaults to `2.3`.

    - #### setToolVersion

          public void setToolVersion(String toolVersion)

    - #### getForkOptions

          public JavaForkOptions getForkOptions()

      Options for the Sonar Runner process.

    - #### setForkOptions

          public void setForkOptions(JavaForkOptions forkOptions)